org.springframework.data.domain

## Enum Sort.Direction

- java.lang.Object
- - java.lang.Enum<Sort.Direction>
  - - org.springframework.data.domain.Sort.Direction

All Implemented Interfaces:
  Serializable, Comparable<Sort.Direction>

Enclosing class:
  Sort

    public static enum Sort.Direction
    extends Enum<Sort.Direction>

Enumeration for sort directions.

Author:
  Oliver Gierke

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASC`
`DESC`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Optional<Sort.Direction>` `fromOptionalString(String value)` Returns the `Sort.Direction` enum for the given `String` or null if it cannot be parsed into an enum value.
`static Sort.Direction` `fromString(String value)` Returns the `Sort.Direction` enum for the given `String` value.
`boolean` `isAscending()` Returns whether the direction is ascending.
`boolean` `isDescending()` Returns whether the direction is descending.
`static Sort.Direction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Sort.Direction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ASC

    public static final Sort.Direction ASC

#### DESC

    public static final Sort.Direction DESC

### Method Detail

#### values

    public static Sort.Direction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Sort.Direction c : Sort.Direction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Sort.Direction valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isAscending

    public boolean isAscending()

Returns whether the direction is ascending.

Returns:
Since:
  1.13

#### isDescending

    public boolean isDescending()

Returns whether the direction is descending.

Returns:
Since:
  1.13

#### fromString

    public static Sort.Direction fromString(String value)

Returns the `Sort.Direction` enum for the given `String` value.

Parameters:
  `value` -
Returns:
Throws:
  `IllegalArgumentException` - in case the given value cannot be parsed into an enum value.

#### fromOptionalString

    public static Optional<Sort.Direction> fromOptionalString(String value)

Returns the `Sort.Direction` enum for the given `String` or null if it cannot be parsed into an enum value.

Parameters:
  `value` -
Returns: